SSL_CTX_set_ctlog_list_file(3)

NAME
SSL_CTX_set_default_ctlog_list_file, SSL_CTX_set_ctlog_list_file - load a Certificate Transparency log list from a file

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/ssl.h>

 int SSL_CTX_set_default_ctlog_list_file(SSL_CTX *ctx);
 int SSL_CTX_set_ctlog_list_file(SSL_CTX *ctx, const char *path);

DESCRIPTION
SSL_CTX_set_default_ctlog_list_file() loads a list of Certificate Transparency (CT) logs from the default file location, "ct_log_list.cnf", found in the directory where OpenSSL is installed.

SSL_CTX_set_ctlog_list_file() loads a list of CT logs from a specific path. See CTLOG_STORE_new(3) for the file format.

NOTES
These functions will not clear the existing CT log list - it will be appended to. To replace the existing list, use SSL_CTX_set0_ctlog_store first.

If an error occurs whilst parsing a particular log entry in the file, that log entry will be skipped.

RETURN VALUES
SSL_CTX_set_default_ctlog_list_file() and SSL_CTX_set_ctlog_list_file() return 1 if the log list is successfully loaded, and 0 if an error occurs. In the case of an error, the log list may have been partially loaded.

SEE ALSO
ssl(7), SSL_CTX_set_ct_validation_callback(3), CTLOG_STORE_new(3)

COPYRIGHT
Copyright 2016-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.